%define upstream_name	 Net-IP-Match-Regexp
%define upstream_version 1.01

%define _requires_exceptions perl(re)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Efficiently match IP addresses against IP ranges via regexp
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This module allows you to check an IP address against one or more IP
ranges.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/Net
%{_mandir}/man3/*




%changelog
* Thu Jan 13 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 13418
- imported package perl-Net-IP-Match-Regexp


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 410095
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.1
+ Revision: 292261
- update to new version 1.01

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-1mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.00-1mdv2008.0
+ Revision: 81920
- 1.00

* Sun Jun 03 2007 Anssi Hannula <anssi@mandriva.org> 0.94-3mdv2008.0
+ Revision: 34872
- annual rebuild


* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 0.94-2mdv2007.0
- _requires_exception perl(re)

* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 0.94-1mdv2007.0
- initial Mandriva package

